package com.zm.order.tool.server.model;

import com.alibaba.fastjson.JSON;

import java.math.BigDecimal;
import java.util.Date;


/**
 * 宝珠订单支付信息
 *
 * @author zhuxiaofeng
 */
public class OrderBaoZhuPay {

    /**
	 * 主键
	 */
	private Long id;
	private String orderNo;
	private String payStatusTxt;
	private Date payAt;
	private String paySource;
	private String payType;
	private BigDecimal amount;
	private String shopNo;
	private String payNo;

	public Long getId() {
		return id;
	}

	public void setId(Long id) {
		this.id = id;
	}

	public String getOrderNo() {
		return orderNo;
	}

	public void setOrderNo(String orderNo) {
		this.orderNo = orderNo;
	}

	public String getPayStatusTxt() {
		return payStatusTxt;
	}

	public void setPayStatusTxt(String payStatusTxt) {
		this.payStatusTxt = payStatusTxt;
	}

	public Date getPayAt() {
		return payAt;
	}

	public void setPayAt(Date payAt) {
		this.payAt = payAt;
	}

	public String getPaySource() {
		return paySource;
	}

	public void setPaySource(String paySource) {
		this.paySource = paySource;
	}

	public String getPayType() {
		return payType;
	}

	public void setPayType(String payType) {
		this.payType = payType;
	}

	public BigDecimal getAmount() {
		return amount;
	}

	public void setAmount(BigDecimal amount) {
		this.amount = amount;
	}

	public String getShopNo() {
		return shopNo;
	}

	public void setShopNo(String shopNo) {
		this.shopNo = shopNo;
	}

	public String getPayNo() {
		return payNo;
	}

	public void setPayNo(String payNo) {
		this.payNo = payNo;
	}

	@Override
    public String toString() {
        return JSON.toJSONString(this);
    }

}
